IUSER(8)

NAME
ipmiutil_user - handle user functions

SYNOPSIS
ipmiutil user [-cmsx -NUPREFTVY] <function>

DESCRIPTION
This ipmiutil user subcommand handles IPMI LAN user functions separately. These functions can also be handled from ipmiutil lan -q, -u, -p, -v.

This utility can use either the /dev/ipmi0 driver from OpenIPMI, the /dev/imb driver from Intel, the /dev/ipmikcs driver from valinux, direct user-space IOs, or the IPMI LAN interface if -N.

OPTIONS
Command line options are described below.

-c  Canonical, delimited output format

-m 002000
    Target a specific MC (e.g. bus 00, sa 20, lun 00). This could be used for PICMG or ATCA blade systems. The trailing character, if present, indicates SMI addressing if 's', or IPMB addressing if 'i' or not present.

-s  When getting info, also get the DCMI sensor information.

-x  Causes extra debug messages to be displayed.

-N nodename
    Nodename or IP address of the remote target system. If a nodename is specified, IPMI LAN interface is used. Otherwise the local system management interface is used.

-U rmt_user
    Remote username for the nodename given. The default is a null username.

-P/-R rmt_pswd
    Remote password for the nodename given. The default is a null password.

-E  Use the remote password from Environment variable IPMI_PASSWORD.

-F drv_t
    Force the driver type to one of the followng: imb, va, open, gnu, landesk, lan, lan2, lan2i, kcs, smb. Note that lan2i means lan2 with intelplus. The default is to detect any available driver type and use it.

-J  Use the specified LanPlus cipher suite (0 thru 17): 0=none/none/none, 1=sha1/none/none, 2=sha1/sha1/none, 3=sha1/sha1/cbc128, 4=sha1/sha1/xrc4_128, 5=sha1/sha1/xrc4_40, 6=md5/none/none, ... 14=md5/md5/xrc4_40. Default is 3.

-T  Use a specified IPMI LAN Authentication Type: 0=None, 1=MD2, 2=MD5, 4=Straight Password, 5=OEM.

-V  Use a specified IPMI LAN privilege level. 1=Callback level, 2=User level, 3=Operator level, 4=Administrator level (default), 5=OEM level.

-Y  Yes, do prompt the user for the IPMI LAN remote password. Alternatives for the password are -E or -P.

FUNCTIONS

list [channel]
    List the IPMI LAN users with enabled status, privilege level, and username. Optionally specify a channel number.

enable <user_num> [channel]
    Enable the specified user number and optionally specify an IPMI LAN channel number.

disable <user_num>]
    Disable the specified user number, so that it has 'No access'.

set <user_num> name <username>
    Set the username for a specified user number.

set <user_num> password <password>
    Set the password for a specified user number.

set <user_num> priv <priv_level> [channel]
    Set the privilege level for a specified user number, where the privilege level is 4=Admin, 3=Operator, 2=User. Also optionally specify a channel number.

help
    Show the help (usage) message

EXAMPLES
ipmiutil user set 2 name user2
Sets the username for user 2 to "user2".

SEE ALSO
ipmiutil(8) ialarms(8) iconfig(8) idiscover(8) ievents(8) ifru(8) igetevent(8) ihealth(8) ilan(8) ireset(8) isel(8) isensor(8) iserial(8) isol(8) iwdt(8)

WARNINGS
See http://ipmiutil.sourceforge.net/ for the latest version of ipmiutil and any bug fix list.

COPYRIGHT
Copyright (C) 2017 Andy Cress

See the file COPYING in the distribution for more details regarding redistribution.

This utility is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

AUTHOR

Andy Cress <arcress at users.sourceforge.net>